Bug 1874591 - MTU autodetection fails on single-stack IPv6
Summary: MTU autodetection fails on single-stack IPv6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Antonio Ojea
QA Contact: Arik Chernetsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-01 17:15 UTC by Dan Winship
Modified: 2020-10-28 18:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:36:42 UTC
Target Upstream Version:
anusaxen: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 777 0 None closed Bug 1874591: autodect mtu support for ipv6 2020-10-14 13:00:45 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:36:57 UTC

Description Dan Winship 2020-09-01 17:15:30 UTC
CNO autodetects the MTU (pkg/network/mtu.go) but it only looks at IPv4 so it fails reliably on single-stack IPv6:

  2020/08/31 23:42:13 Failed MTU probe, failling back to 1500: got no routes

Also, "falling" is misspelled.

Comment 1 Antonio Ojea 2020-09-04 14:58:09 UTC
Can we assume "or force" that, in dual stack, IPv4 and IPv6 will have ALWAYS the same MTU (and that the default route will use the same interface)?

Managing different MTUs per family seems a bad idea and a is very BAD networking practice.
We can take the minimum common MTU in this case

Comment 2 Dan Winship 2020-09-04 21:25:56 UTC
This bug is pretty much just a matter changing netlink.FAMILY_V4 to netlink.FAMILY_ALL in GetDefaultMTU. I'm not sure why I filed a bug rather than filing the PR actually.

Comment 5 Anurag saxena 2020-09-18 16:28:01 UTC
@arik, could you help us your team verify this since you have single/dual stack clusters being deployed? Please re-assign accordingly. Thanks

Comment 13 errata-xmlrpc 2020-10-27 16:36:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.